# OSGeo::FDO::Raster::IRasterPropertyDictionaryImp Class Reference
[OSGeo::FDO::Raster]

Inheritance diagram for OSGeo::FDO::Raster::IRasterPropertyDictionaryImp:

[legend]

List of all members.

## Detailed Description

The IRasterPropertyDictionary exposes a dictionary style interface to the raster properties. Through this interface the non-standard properties of a raster image can be determined and their values can be retrieved and set. Data values are exchanged through the DataValue object to accommodate various data types, boolean, integer, double, string etc.

()

## Public Member Functions
__property OSGeo::FDO::Expression::DataValue * | get_Property (System::String *name)
| Gets the value of the specified property (or its default).
__property OSGeo::FDO::Schema::DataType | get_PropertyDataType (System::String *name)
| Gets the data type for the specified property.
__property OSGeo::FDO::Expression::DataValue * | get_PropertyDefault (System::String *name)
| Gets the default value for the specified property.
__property OSGeo::FDO::Common::StringCollection * | get_PropertyNames ()
| Gets the names of all the properties that apply to this image as a collection of Strings. The order of the property names in the collection dictate the order in which they need to be specified. This is especially important for the success of the EnumeratePropertyValues method as properties that occur earlier in the collection may be required for successful enumeration of properties that appear later in the collection.
__property OSGeo::FDO::Raster::DataValueCollection * | get_PropertyValues (System::String *name)
| Access the values of the specified enumerable property. The property must respond TRUE to IsPropertyEnumerable.
| IRasterPropertyDictionaryImp (System::IntPtr unmanaged, System::Boolean autoDelete)
| Constructs a IRasterPropertyDictionaryImp object based on an unmanaged instance of the object.
System::Boolean | IsPropertyEnumerable (System::String *name)
| Predicate to determine if the property is enumerable (has more than one value).
System::Boolean | IsPropertyRequired (System::String *name)
| Predicate to determine if the property is required to be set.
__property System::Void | set_Property (System::String *name, OSGeo::FDO::Expression::DataValue *value)
| Sets the value of the specified property.
__property System::Void | set_PropertyValues (System::String *name, OSGeo::FDO::Raster::DataValueCollection *collection)
| Set the values of the specified enumerable property. The property must respond TRUE to IsPropertyEnumerable. Clients will need to use SetPropertyValues when creating an image with specific values for the enumerable property. An example would be setting a table of wavelength ranges corresponding to the false colour used to encode the image.